Package madkit.kernel

# Enum Class Scheduler.SimulationState

java.lang.Object
java.lang.Enum<Scheduler.SimulationState>
madkit.kernel.Scheduler.SimulationState

All Implemented Interfaces:
  `Serializable`, `Comparable<Scheduler.SimulationState>`, `java.lang.constant.Constable`

Enclosing class:
  Scheduler

public static enum Scheduler.SimulationState extends Enum<Scheduler.SimulationState>
A simulation state. The simulation process managed by a scheduler agent can be in one of the following states:

- `RUNNING`
  The simulation process is running normally.
- `STEP`
  The scheduler will process one simulation step and then will be in the `PAUSED` state.
- `PAUSED`
  The simulation is paused. This is the default state.

Since:
  MaDKit 5.0
Author:
  Fabien Michel
See Also:
  - `Scheduler.getSimulationState()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PAUSED`
  The simulation is paused.
  `RUNNING`
  The simulation process is running normally.
  `SHUTDOWN`
  The simulation is ending
  `STEP`
  The scheduler will process one simulation step and then will be in the `PAUSED` state.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Scheduler.SimulationState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Scheduler.SimulationState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RUNNING

    public static final Scheduler.SimulationState RUNNING
    The simulation process is running normally.

  - ### STEP

    public static final Scheduler.SimulationState STEP
    The scheduler will process one simulation step and then will be in the `PAUSED` state.

  - ### PAUSED

    public static final Scheduler.SimulationState PAUSED
    The simulation is paused.

  - ### SHUTDOWN

    public static final Scheduler.SimulationState SHUTDOWN
    The simulation is ending

- ## Method Details

  - ### values

    public static Scheduler.SimulationState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Scheduler.SimulationState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null